---
layout: default
title: System Modelling
---




# System Modelling with Modelio

## Description##

Modelio is a combined UML/BPMN modeler supporting a wide range of models and diagrams.

Modelio's main features:

* SysML support integrated with UML and BPMN
* XMI import and export
* Scripting language support (Jython)
* Extensibility: Modelio can be extended for any language, methodology or modeling technique just by adding modules. You can either use existing modules or else develop your own.


A forum is available on the [Modelio community site](http://www.modelio.org/forum/index.html).

## License##
**Modelio** is **open source** software. Most of the source code is under the **GNU GPL** license. The module runtime, used to develop extensions to Modelio, is under the **Apache license** providing a very large degree of freedom to anyone wishing to reuse and embed the code.

Full details on Modelio licensing conditions can be found [here](http://www.modelio.org/about-modelio/license.html).

## Download and installation##

**Modelio's current version is 3.3**.

Binary distribution archives for Linux and Windows are available on the [download page](http://www.modelio.org/downloads/download-modelio.html) of the Modelio community site.

Installation requirements and instructions can be found in our [Quick start guide](http://www.modelio.org/documentation/installation.html) on the community site.

Modelio version contents can be found in the [[Version history]].

## Documentation

**For end users**

* [User's manual](http://forge.modelio.org/projects/modelio3-usermanual-english-300/wiki) *(wiki)*


